STAMINA(STAMINA.0)

NAME
stamina - state minimization of incompletely specified finite state machine

SYNOPSIS
stamina [options] inputfile [ > outputfile ]

DESCRIPTION
STAMINA is a state minimization program. It provides exact minimization by ordinary prime and binate covering methods. It also gives a heuristic solution by tight upper bound and isomorphic states. Both input and output file format is KISS2. After minimization, unnecessary states of each solution set can be shrunk by using the -S option.

OPTIONS
-v n, verbose mode  0, no message(default)
                    1, print timing statistics and solution
                    2, print maximal compatibles and
                         prime compatibles

-s n, minimization heuristics-    0, exact method(default)
                                  1, tight upper bound
                                  2, isomorphic
                                  3, combination of the above two
-m n, mapping heuristics          0, random mapping
                                  1, equal weighting heuristic
                                  4, heuristic mapping(default)
-o filename		specify output filename(default is stdout)
-S  shrinking solution
-h  Print out the Usage - command line options.

REMARKS
After minimization there may exist multiple reset states if there was a reset state before minimization. Currently a reset state after minimization is selected randomly.